org.apache.felix.framework.util

## Class ClassParser

- java.lang.Object
- - org.apache.felix.framework.util.ClassParser

    public class ClassParser
    extends Object

This class is based on code developed at https://github.com/bndtools/bnd

### Constructor Summary

Constructors
Constructor and Description
`ClassParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `parseClassFileUses(String path, InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassParser

    public ClassParser()

### Method Detail

#### parseClassFileUses

    public Set<String> parseClassFileUses(String path,
                                          InputStream in)
                                   throws Exception

Throws:
  `Exception`